none
Questions about .NET framework 2.0 Service Pack 1 (KB110806) RRS feed

  • Question

  •  

    Hi,

     

    I have a few questions about .NET framework 2.0 Service Pack 1 (KB110806).

    1. Can it be uninstalled?

    2. Exactly what security problems does it fix?

    3. Where is the KB article 110806? 

     

    I have looked through kb945757 which addresses problems that are fixed but not security issues.

     

    Thank you

    Thursday, January 31, 2008 7:25 PM

Answers

  • I guess you're on Vista.

     

    If you have .NET Framework 3.5 installed, then it regards .NET Framework 2.0 sp1 as prerequisite which means you are unable to uninstall .NET 2.0 sp1 prior to .NET 3.5 (uninstallation being blocked)

    If not, you're free to uninstall it just as other non-windows component/software.

     

    For the issue fixed in 2.0 sp1, you can reference to: http://support.microsoft.com/kb/945757

     

    And as far as I know, KB110806 is for Vista (since On Vista, the .NET Framework 2.0 & 3.0 are Windows Components. which plays by different rules, in that Windows component use a technology called CBS (component based servicing), so if you ever installed 2.0 sp1 on Vista you will find KB110806 in your Windows Updates list).

     

    Thanks

    Monday, February 4, 2008 8:47 AM